Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / time / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42
43 VPATH = @srcdir@
44 am__is_gnu_make = { \
45   if test -z '$(MAKELEVEL)'; then \
46     false; \
47   elif test -n '$(MAKE_HOST)'; then \
48     true; \
49   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
50     true; \
51   else \
52     false; \
53   fi; \
54 }
55 am__make_running_with_option = \
56   case $${target_option-} in \
57       ?) ;; \
58       *) echo "am__make_running_with_option: internal error: invalid" \
59               "target option '$${target_option-}' specified" >&2; \
60          exit 1;; \
61   esac; \
62   has_opt=no; \
63   sane_makeflags=$$MAKEFLAGS; \
64   if $(am__is_gnu_make); then \
65     sane_makeflags=$$MFLAGS; \
66   else \
67     case $$MAKEFLAGS in \
68       *\\[\ \   ]*) \
69         bs=\\; \
70         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
71           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
72     esac; \
73   fi; \
74   skip_next=no; \
75   strip_trailopt () \
76   { \
77     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
78   }; \
79   for flg in $$sane_makeflags; do \
80     test $$skip_next = yes && { skip_next=no; continue; }; \
81     case $$flg in \
82       *=*|--*) continue;; \
83         -*I) strip_trailopt 'I'; skip_next=yes;; \
84       -*I?*) strip_trailopt 'I';; \
85         -*O) strip_trailopt 'O'; skip_next=yes;; \
86       -*O?*) strip_trailopt 'O';; \
87         -*l) strip_trailopt 'l'; skip_next=yes;; \
88       -*l?*) strip_trailopt 'l';; \
89       -[dEDm]) skip_next=yes;; \
90       -[JT]) skip_next=yes;; \
91     esac; \
92     case $$flg in \
93       *$$target_option*) has_opt=yes; break;; \
94     esac; \
95   done; \
96   test $$has_opt = yes
97 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
98 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
99 pkgdatadir = $(datadir)/@PACKAGE@
100 pkgincludedir = $(includedir)/@PACKAGE@
101 pkglibdir = $(libdir)/@PACKAGE@
102 pkglibexecdir = $(libexecdir)/@PACKAGE@
103 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
104 install_sh_DATA = $(install_sh) -c -m 644
105 install_sh_PROGRAM = $(install_sh) -c
106 install_sh_SCRIPT = $(install_sh) -c
107 INSTALL_HEADER = $(INSTALL_DATA)
108 transform = $(program_transform_name)
109 NORMAL_INSTALL = :
110 PRE_INSTALL = :
111 POST_INSTALL = :
112 NORMAL_UNINSTALL = :
113 PRE_UNINSTALL = :
114 POST_UNINSTALL = :
115 build_triplet = @build@
116 host_triplet = @host@
117 @NEED_JAVA_TRUE@am__append_1 = java
118 subdir = modules/time
119 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
120 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
121         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
122         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
123         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
124         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
125         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
126         $(top_srcdir)/m4/intel_compiler.m4 \
127         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
128         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
129         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
130         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
131         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
132         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
133         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
134         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
135         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
136         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
137         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
138 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
139         $(ACLOCAL_M4)
140 DIST_COMMON = $(srcdir)/Makefile.am $(libscitime_la_include_HEADERS) \
141         $(am__DIST_COMMON)
142 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
143 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
144 CONFIG_CLEAN_FILES =
145 CONFIG_CLEAN_VPATH_FILES =
146 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
147 am__vpath_adj = case $$p in \
148     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
149     *) f=$$p;; \
150   esac;
151 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
152 am__install_max = 40
153 am__nobase_strip_setup = \
154   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
155 am__nobase_strip = \
156   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
157 am__nobase_list = $(am__nobase_strip_setup); \
158   for p in $$list; do echo "$$p $$p"; done | \
159   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
160   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
161     if (++n[$$2] == $(am__install_max)) \
162       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
163     END { for (dir in files) print dir, files[dir] }'
164 am__base_list = \
165   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
166   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
167 am__uninstall_files_from_dir = { \
168   test -z "$$files" \
169     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
170     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
171          $(am__cd) "$$dir" && rm -f $$files; }; \
172   }
173 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
174         "$(DESTDIR)$(libscitime_la_etcdir)" \
175         "$(DESTDIR)$(libscitime_la_rootdir)" \
176         "$(DESTDIR)$(libscitime_la_includedir)"
177 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
178 libscitime_algo_la_LIBADD =
179 am__dirstamp = $(am__leading_dot)dirstamp
180 am__objects_1 = src/c/libscitime_algo_la-realtime.lo \
181         src/c/libscitime_algo_la-timer.lo \
182         src/c/libscitime_algo_la-getdate.lo
183 am_libscitime_algo_la_OBJECTS = $(am__objects_1)
184 libscitime_algo_la_OBJECTS = $(am_libscitime_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @MAINTAINER_MODE_FALSE@am_libscitime_algo_la_rpath =
190 @MAINTAINER_MODE_TRUE@am_libscitime_algo_la_rpath =
191 libscitime_la_DEPENDENCIES = libscitime-algo.la
192 am__objects_2 = sci_gateway/c/libscitime_la-sci_realtime.lo \
193         sci_gateway/c/libscitime_la-sci_timer.lo \
194         sci_gateway/c/libscitime_la-sci_calendar.lo \
195         sci_gateway/c/libscitime_la-sci_xpause.lo \
196         sci_gateway/c/libscitime_la-sci_sleep.lo \
197         sci_gateway/c/libscitime_la-sci_getdate.lo
198 am__objects_3 = sci_gateway/cpp/libscitime_la-time_gw.lo \
199         sci_gateway/cpp/libscitime_la-sci_tictoc.lo
200 am_libscitime_la_OBJECTS = $(am__objects_2) $(am__objects_3)
201 libscitime_la_OBJECTS = $(am_libscitime_la_OBJECTS)
202 @MAINTAINER_MODE_FALSE@am_libscitime_la_rpath =
203 @MAINTAINER_MODE_TRUE@am_libscitime_la_rpath = -rpath $(pkglibdir)
204 AM_V_P = $(am__v_P_@AM_V@)
205 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
206 am__v_P_0 = false
207 am__v_P_1 = :
208 AM_V_GEN = $(am__v_GEN_@AM_V@)
209 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
210 am__v_GEN_0 = @echo "  GEN     " $@;
211 am__v_GEN_1 = 
212 AM_V_at = $(am__v_at_@AM_V@)
213 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
214 am__v_at_0 = @
215 am__v_at_1 = 
216 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
217 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
218 am__maybe_remake_depfiles = depfiles
219 am__depfiles_remade =  \
220         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo \
221         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo \
222         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo \
223         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo \
224         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo \
225         sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo \
226         sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo \
227         sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo \
228         src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo \
229         src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo \
230         src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo
231 am__mv = mv -f
232 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
233         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
234 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
235         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
236         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
237         $(AM_CFLAGS) $(CFLAGS)
238 AM_V_CC = $(am__v_CC_@AM_V@)
239 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
240 am__v_CC_0 = @echo "  CC      " $@;
241 am__v_CC_1 = 
242 CCLD = $(CC)
243 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
244         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
245         $(AM_LDFLAGS) $(LDFLAGS) -o $@
246 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
247 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
248 am__v_CCLD_0 = @echo "  CCLD    " $@;
249 am__v_CCLD_1 = 
250 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
251         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
252 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
253         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
254         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
255         $(AM_CXXFLAGS) $(CXXFLAGS)
256 AM_V_CXX = $(am__v_CXX_@AM_V@)
257 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
258 am__v_CXX_0 = @echo "  CXX     " $@;
259 am__v_CXX_1 = 
260 CXXLD = $(CXX)
261 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
262         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
263         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
264 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
265 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
266 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
267 am__v_CXXLD_1 = 
268 SOURCES = $(libscitime_algo_la_SOURCES) $(libscitime_la_SOURCES)
269 DIST_SOURCES = $(libscitime_algo_la_SOURCES) $(libscitime_la_SOURCES)
270 am__can_run_installinfo = \
271   case $$AM_UPDATE_INFO_DIR in \
272     n|no|NO) false;; \
273     *) (install-info --version) >/dev/null 2>&1;; \
274   esac
275 DATA = $(libscitime_la_etc_DATA) $(libscitime_la_root_DATA)
276 HEADERS = $(libscitime_la_include_HEADERS)
277 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
278 # Read a list of newline-separated strings from the standard input,
279 # and print each of them once, without duplicates.  Input order is
280 # *not* preserved.
281 am__uniquify_input = $(AWK) '\
282   BEGIN { nonempty = 0; } \
283   { items[$$0] = 1; nonempty = 1; } \
284   END { if (nonempty) { for (i in items) print i; }; } \
285 '
286 # Make sure the list of sources is unique.  This is necessary because,
287 # e.g., the same source file might be shared among _SOURCES variables
288 # for different programs/libraries.
289 am__define_uniq_tagged_files = \
290   list='$(am__tagged_files)'; \
291   unique=`for i in $$list; do \
292     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
293   done | $(am__uniquify_input)`
294 ETAGS = etags
295 CTAGS = ctags
296 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
297         $(top_srcdir)/config/depcomp \
298         $(top_srcdir)/config/mkinstalldirs
299 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
300 ACLOCAL = @ACLOCAL@
301 ALL_LINGUAS = @ALL_LINGUAS@
302 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
303 AMTAR = @AMTAR@
304 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
305 ANT = @ANT@
306 ANTLR = @ANTLR@
307 AR = @AR@
308 ARPACK_LIBS = @ARPACK_LIBS@
309 ASM3 = @ASM3@
310 AUTOCONF = @AUTOCONF@
311 AUTOHEADER = @AUTOHEADER@
312 AUTOMAKE = @AUTOMAKE@
313 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
314 AWK = @AWK@
315 BATIK = @BATIK@
316 BLAS_CFLAGS = @BLAS_CFLAGS@
317 BLAS_LIBS = @BLAS_LIBS@
318 CC = @CC@
319 CCACHE = @CCACHE@
320 CCDEPMODE = @CCDEPMODE@
321 CFLAGS = @CFLAGS@
322 CHECKSTYLE = @CHECKSTYLE@
323 COBERTURA = @COBERTURA@
324 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
325 COMMONS_IO = @COMMONS_IO@
326 COMMONS_LOGGING = @COMMONS_LOGGING@
327 CPP = @CPP@
328 CPPFLAGS = @CPPFLAGS@
329 CURL_CFLAGS = @CURL_CFLAGS@
330 CURL_CONFIG = @CURL_CONFIG@
331 CURL_LIBS = @CURL_LIBS@
332 CURL_VERSION = @CURL_VERSION@
333 CXX = @CXX@
334 CXXCPP = @CXXCPP@
335 CXXDEPMODE = @CXXDEPMODE@
336 CXXFLAGS = @CXXFLAGS@
337 CYGPATH_W = @CYGPATH_W@
338 DEFS = @DEFS@
339 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
340 DEPDIR = @DEPDIR@
341 DLLTOOL = @DLLTOOL@
342 DOCBOOK_ROOT = @DOCBOOK_ROOT@
343 DOXYGEN_BIN = @DOXYGEN_BIN@
344 DSYMUTIL = @DSYMUTIL@
345 DUMPBIN = @DUMPBIN@
346 ECHO_C = @ECHO_C@
347 ECHO_N = @ECHO_N@
348 ECHO_T = @ECHO_T@
349 ECJ = @ECJ@
350 EGREP = @EGREP@
351 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
352 EXEEXT = @EXEEXT@
353 F77 = @F77@
354 FFLAGS = @FFLAGS@
355 FFTW3_LIB = @FFTW3_LIB@
356 FFTW_ENABLE = @FFTW_ENABLE@
357 FGREP = @FGREP@
358 FLEXDOCK = @FLEXDOCK@
359 FLIBS = @FLIBS@
360 FOP = @FOP@
361 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
362 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
363 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
364 FREEHEP_IO = @FREEHEP_IO@
365 FREEHEP_UTIL = @FREEHEP_UTIL@
366 GENHTML = @GENHTML@
367 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
368 GIWS_BIN = @GIWS_BIN@
369 GLUEGEN2_RT = @GLUEGEN2_RT@
370 GMSGFMT = @GMSGFMT@
371 GMSGFMT_015 = @GMSGFMT_015@
372 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
373 GREP = @GREP@
374 GUI_ENABLE = @GUI_ENABLE@
375 HAMCREST = @HAMCREST@
376 HAVE_CXX11 = @HAVE_CXX11@
377 HDF5_CFLAGS = @HDF5_CFLAGS@
378 HDF5_LIBS = @HDF5_LIBS@
379 HELP_ENABLE = @HELP_ENABLE@
380 INSTALL = @INSTALL@
381 INSTALL_DATA = @INSTALL_DATA@
382 INSTALL_PROGRAM = @INSTALL_PROGRAM@
383 INSTALL_SCRIPT = @INSTALL_SCRIPT@
384 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
385 INTLLIBS = @INTLLIBS@
386 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
387 JAR = @JAR@
388 JAVA = @JAVA@
389 JAVAC = @JAVAC@
390 JAVAC_DEBUG = @JAVAC_DEBUG@
391 JAVADOC = @JAVADOC@
392 JAVAH = @JAVAH@
393 JAVASCI_ENABLE = @JAVASCI_ENABLE@
394 JAVA_ENABLE = @JAVA_ENABLE@
395 JAVA_G = @JAVA_G@
396 JAVA_HOME = @JAVA_HOME@
397 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
398 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
399 JDB = @JDB@
400 JEUCLID_CORE = @JEUCLID_CORE@
401 JGRAPHX = @JGRAPHX@
402 JHALL = @JHALL@
403 JLATEXMATH = @JLATEXMATH@
404 JLATEXMATH_FOP = @JLATEXMATH_FOP@
405 JOGL2 = @JOGL2@
406 JROSETTA_API = @JROSETTA_API@
407 JROSETTA_ENGINE = @JROSETTA_ENGINE@
408 JUNIT4 = @JUNIT4@
409 LAPACK_LIBS = @LAPACK_LIBS@
410 LCOV = @LCOV@
411 LD = @LD@
412 LDFLAGS = @LDFLAGS@
413 LEX = @LEX@
414 LEXLIB = @LEXLIB@
415 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
416 LIBICONV = @LIBICONV@
417 LIBINTL = @LIBINTL@
418 LIBM = @LIBM@
419 LIBOBJS = @LIBOBJS@
420 LIBS = @LIBS@
421 LIBTOOL = @LIBTOOL@
422 LIPO = @LIPO@
423 LN_S = @LN_S@
424 LOGGING_LEVEL = @LOGGING_LEVEL@
425 LOOKS = @LOOKS@
426 LTLIBICONV = @LTLIBICONV@
427 LTLIBINTL = @LTLIBINTL@
428 LTLIBOBJS = @LTLIBOBJS@
429 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
430 LUCENE = @LUCENE@
431 LUCENE_ANALYZER = @LUCENE_ANALYZER@
432 LUCENE_PARSER = @LUCENE_PARSER@
433 MAINT = @MAINT@
434 MAKEINFO = @MAKEINFO@
435 MANIFEST_TOOL = @MANIFEST_TOOL@
436 MATIO_CFLAGS = @MATIO_CFLAGS@
437 MATIO_ENABLE = @MATIO_ENABLE@
438 MATIO_LIBS = @MATIO_LIBS@
439 MKDIR_P = @MKDIR_P@
440 MPI_ENABLE = @MPI_ENABLE@
441 MSGCAT = @MSGCAT@
442 MSGFMT = @MSGFMT@
443 MSGFMT_015 = @MSGFMT_015@
444 MSGMERGE = @MSGMERGE@
445 NM = @NM@
446 NMEDIT = @NMEDIT@
447 OBJDUMP = @OBJDUMP@
448 OBJEXT = @OBJEXT@
449 OCAMLC = @OCAMLC@
450 OCAMLDEP = @OCAMLDEP@
451 OCAMLLEX = @OCAMLLEX@
452 OCAMLOPT = @OCAMLOPT@
453 OCAMLYACC = @OCAMLYACC@
454 OPENMPI_CC = @OPENMPI_CC@
455 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
456 OPENMPI_CXX = @OPENMPI_CXX@
457 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
458 OPENMPI_LIBS = @OPENMPI_LIBS@
459 OPENMP_CFLAGS = @OPENMP_CFLAGS@
460 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
461 OPENMP_ENABLE = @OPENMP_ENABLE@
462 OPENMP_LIBS = @OPENMP_LIBS@
463 OTOOL = @OTOOL@
464 OTOOL64 = @OTOOL64@
465 PACKAGE = @PACKAGE@
466 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
467 PACKAGE_NAME = @PACKAGE_NAME@
468 PACKAGE_STRING = @PACKAGE_STRING@
469 PACKAGE_TARNAME = @PACKAGE_TARNAME@
470 PACKAGE_URL = @PACKAGE_URL@
471 PACKAGE_VERSION = @PACKAGE_VERSION@
472 PATH_SEPARATOR = @PATH_SEPARATOR@
473 PCRE_CFLAGS = @PCRE_CFLAGS@
474 PCRE_CONFIG = @PCRE_CONFIG@
475 PCRE_LIBS = @PCRE_LIBS@
476 PCRE_VERSION = @PCRE_VERSION@
477 PKG_CONFIG = @PKG_CONFIG@
478 POSUB = @POSUB@
479 POW_LIB = @POW_LIB@
480 PYTHON = @PYTHON@
481 RANLIB = @RANLIB@
482 RELOCATABLE = @RELOCATABLE@
483 RT_LIB = @RT_LIB@
484 SAXON = @SAXON@
485 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
486 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
487 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
488 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
489 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
490 SCIRENDERER = @SCIRENDERER@
491 SCIRENDERER_CP = @SCIRENDERER_CP@
492 SCI_CFLAGS = @SCI_CFLAGS@
493 SCI_CXXFLAGS = @SCI_CXXFLAGS@
494 SCI_FFLAGS = @SCI_FFLAGS@
495 SCI_LDFLAGS = @SCI_LDFLAGS@
496 SED = @SED@
497 SET_MAKE = @SET_MAKE@
498 SET_RELOCATABLE = @SET_RELOCATABLE@
499 SHELL = @SHELL@
500 SKINLF = @SKINLF@
501 SPLINT = @SPLINT@
502 STRIP = @STRIP@
503 SWIG_BIN = @SWIG_BIN@
504 SWIG_JAVA = @SWIG_JAVA@
505 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
506 SWIG_SCILAB = @SWIG_SCILAB@
507 TCLTK_LIBS = @TCLTK_LIBS@
508 TCL_INC_PATH = @TCL_INC_PATH@
509 TK_INC_PATH = @TK_INC_PATH@
510 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
511 UMFPACK_ENABLE = @UMFPACK_ENABLE@
512 UMFPACK_LIB = @UMFPACK_LIB@
513 USE_NLS = @USE_NLS@
514 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
515 VALGRIND_LIBS = @VALGRIND_LIBS@
516 VERSION = @VERSION@
517 WITH_OCAML = @WITH_OCAML@
518 WITH_TKSCI = @WITH_TKSCI@
519 XCOS_ENABLE = @XCOS_ENABLE@
520 XGETTEXT = @XGETTEXT@
521 XGETTEXT_015 = @XGETTEXT_015@
522 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
523 XMKMF = @XMKMF@
524 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
525 XML_APIS_EXT = @XML_APIS_EXT@
526 XML_CONFIG = @XML_CONFIG@
527 XML_FLAGS = @XML_FLAGS@
528 XML_LIBS = @XML_LIBS@
529 XML_VERSION = @XML_VERSION@
530 X_CFLAGS = @X_CFLAGS@
531 X_EXTRA_LIBS = @X_EXTRA_LIBS@
532 X_LIBS = @X_LIBS@
533 X_PRE_LIBS = @X_PRE_LIBS@
534 YACC = @YACC@
535 YFLAGS = @YFLAGS@
536 abs_builddir = @abs_builddir@
537 abs_srcdir = @abs_srcdir@
538 abs_top_builddir = @abs_top_builddir@
539 abs_top_srcdir = @abs_top_srcdir@
540 ac_ct_AR = @ac_ct_AR@
541 ac_ct_CC = @ac_ct_CC@
542 ac_ct_CXX = @ac_ct_CXX@
543 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
544 ac_ct_F77 = @ac_ct_F77@
545 am__include = @am__include@
546 am__leading_dot = @am__leading_dot@
547 am__quote = @am__quote@
548 am__tar = @am__tar@
549 am__untar = @am__untar@
550 bindir = @bindir@
551 build = @build@
552 build_alias = @build_alias@
553 build_cpu = @build_cpu@
554 build_os = @build_os@
555 build_vendor = @build_vendor@
556 builddir = @builddir@
557 cxx_present = @cxx_present@
558 datadir = @datadir@
559 datarootdir = @datarootdir@
560 docdir = @docdir@
561 dvidir = @dvidir@
562 exec_prefix = @exec_prefix@
563 host = @host@
564 host_alias = @host_alias@
565 host_cpu = @host_cpu@
566 host_os = @host_os@
567 host_vendor = @host_vendor@
568 htmldir = @htmldir@
569 includedir = @includedir@
570 infodir = @infodir@
571 install_sh = @install_sh@
572 libdir = @libdir@
573 libexecdir = @libexecdir@
574 localedir = @localedir@
575 localstatedir = @localstatedir@
576 mandir = @mandir@
577 mkdir_p = @mkdir_p@
578 oldincludedir = @oldincludedir@
579 pdfdir = @pdfdir@
580 prefix = @prefix@
581 program_transform_name = @program_transform_name@
582 psdir = @psdir@
583 sbindir = @sbindir@
584 sharedstatedir = @sharedstatedir@
585 srcdir = @srcdir@
586 sysconfdir = @sysconfdir@
587 target_alias = @target_alias@
588 top_build_prefix = @top_build_prefix@
589 top_builddir = @top_builddir@
590 top_srcdir = @top_srcdir@
591 yacc_present = @yacc_present@
592
593 ### SOURCES ###
594 TIME_C_SOURCES = \
595     src/c/realtime.c \
596     src/c/timer.c \
597     src/c/getdate.c
598
599 GATEWAY_C_SOURCES = \
600     sci_gateway/c/sci_realtime.c \
601     sci_gateway/c/sci_timer.c \
602     sci_gateway/c/sci_calendar.c \
603     sci_gateway/c/sci_xpause.c \
604     sci_gateway/c/sci_sleep.c \
605     sci_gateway/c/sci_getdate.c
606
607 GATEWAY_CPP_SOURCES = \
608     sci_gateway/cpp/time_gw.cpp \
609     sci_gateway/cpp/sci_tictoc.cpp
610
611 libscitime_la_CPPFLAGS = \
612     -I$(srcdir)/includes/ \
613     -I$(srcdir)/src/c/ \
614     -I$(top_srcdir)/modules/ast/includes/ast/ \
615     -I$(top_srcdir)/modules/ast/includes/exps/ \
616     -I$(top_srcdir)/modules/ast/includes/operations/ \
617     -I$(top_srcdir)/modules/ast/includes/parse/ \
618     -I$(top_srcdir)/modules/ast/includes/symbol/ \
619     -I$(top_srcdir)/modules/ast/includes/system_env/ \
620     -I$(top_srcdir)/modules/ast/includes/types/ \
621     -I$(top_srcdir)/modules/ast/includes/analysis/ \
622     -I$(top_srcdir)/modules/api_scilab/includes/ \
623     -I$(top_srcdir)/modules/functions_manager/includes/ \
624     -I$(top_srcdir)/modules/dynamic_link/includes \
625     -I$(top_srcdir)/modules/localization/includes/ \
626     -I$(top_srcdir)/modules/string/includes/ \
627     -I$(top_srcdir)/modules/output_stream/includes/ \
628     $(AM_CPPFLAGS)
629
630 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libscitime.la
631 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libscitime-algo.la libscitime.la
632 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libscitime-algo.la
633 libscitime_algo_la_SOURCES = $(TIME_C_SOURCES)
634 libscitime_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
635 libscitime_algo_la_CPPFLAGS = $(libscitime_la_CPPFLAGS)
636
637 # For the code check (splint)
638 CHECK_SRC = $(libscitime_la_SOURCES)
639 INCLUDE_FLAGS = $(libscitime_la_CPPFLAGS)
640 libscitime_la_LIBADD = libscitime-algo.la
641
642 #### Target ######
643 modulename = time
644
645 #### time : Conf files ####
646 libscitime_la_rootdir = $(mydatadir)
647 libscitime_la_root_DATA = license.txt
648
649 #### time : init scripts ####
650 libscitime_la_etcdir = $(mydatadir)/etc
651 libscitime_la_etc_DATA = etc/time.quit etc/time.start
652
653 #### time : include files ####
654 libscitime_la_includedir = $(pkgincludedir)
655 libscitime_la_include_HEADERS = includes/realtime.h \
656 includes/timer.h
657
658
659 # Where all the Scilab stuff is installed (macros, help, ...)
660 mydatadir = $(pkgdatadir)/modules/$(modulename)
661
662 # Set AM_* SCI detected settings
663 AM_CPPFLAGS = $(SCI_CPPFLAGS)
664 AM_CFLAGS = $(SCI_CFLAGS)
665 AM_CXXFLAGS = $(SCI_CXXFLAGS)
666 # append includes to AM_FFLAGS to manage fortran includes
667 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
668
669 # Tag shared libraries with the Scilab version
670 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
671
672 # splint options
673 SPLINT_OPTIONS = -weak -booltype BOOL
674
675 ########################### JAVA ######################################
676 #### We are delegating java compilation to ant... Thanks to that
677 #### the procedure will be the same with Microsoft Windows (C)
678 #### and Linux/Unix
679 #######################################################################
680 TARGETS_ALL = $(am__append_1)
681
682 ################ MACROS ######################
683 # Rule to build a macro
684 # NOT USED  AT THE MOMENT
685 SUFFIXES = .sci 
686
687 ########### INSTALL DOCUMENTATION ###################
688
689 # Install documentation files into the right target
690 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
691 # automake needs the html files to be present which is not the case when
692 # we are building Scilab
693
694 # Where it should be installed
695 pkgdocdir = $(mydatadir)
696
697 # What is the mask of the help source
698 DOCMASKXML = *.xml
699
700 # What is the mask of the MathML sources
701 DOCMASKMML = *.mml
702
703 ########### INSTALL DATA ###################
704 # Install macros, help & demos
705 # Where it should be installed
706 pkgmacrosdir = $(mydatadir)
707 # Which directory we process
708 MACRODIRS = macros/
709 # Mask of the Scilab sources macros
710 MACROMASK = *.sci
711 # Mask of the Scilab executable sources macros
712 MACROBUILDMASK = *.sce
713 # Mask of the Scilab compiled macros
714 MACROBINMASK = *.bin
715 # List of the standard directory for tests
716 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
717 # Where the demos should be installed
718 pkgdemosdir = $(mydatadir)
719 # List of the standard directory for demos
720 DEMOS_DIR = demos
721 # List of the standard directory for examples
722 EXAMPLES_DIR = examples
723 # Where to export JAVA archives (.jar)
724 JARDIR = jar/
725 # JAR files mask
726 JARMASK = *.jar
727 # Chapter file 
728 HELP_CHAPTERDIR = help/
729 HELP_CHAPTERFILE = addchapter.sce
730 HELP_CHAPTERLANG = en_US fr_FR pt_BR
731 all: all-am
732
733 .SUFFIXES:
734 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
735 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
736         @for dep in $?; do \
737           case '$(am__configure_deps)' in \
738             *$$dep*) \
739               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
740                 && { if test -f $@; then exit 0; else break; fi; }; \
741               exit 1;; \
742           esac; \
743         done; \
744         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/time/Makefile'; \
745         $(am__cd) $(top_srcdir) && \
746           $(AUTOMAKE) --foreign modules/time/Makefile
747 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
748         @case '$?' in \
749           *config.status*) \
750             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
751           *) \
752             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
753             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
754         esac;
755 $(top_srcdir)/Makefile.incl.am $(am__empty):
756
757 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
758         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
759
760 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
761         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
762 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
763         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
764 $(am__aclocal_m4_deps):
765
766 clean-noinstLTLIBRARIES:
767         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
768         @list='$(noinst_LTLIBRARIES)'; \
769         locs=`for p in $$list; do echo $$p; done | \
770               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
771               sort -u`; \
772         test -z "$$locs" || { \
773           echo rm -f $${locs}; \
774           rm -f $${locs}; \
775         }
776
777 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
778         @$(NORMAL_INSTALL)
779         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
780         list2=; for p in $$list; do \
781           if test -f $$p; then \
782             list2="$$list2 $$p"; \
783           else :; fi; \
784         done; \
785         test -z "$$list2" || { \
786           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
787           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
788           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
789           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
790         }
791
792 uninstall-pkglibLTLIBRARIES:
793         @$(NORMAL_UNINSTALL)
794         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
795         for p in $$list; do \
796           $(am__strip_dir) \
797           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
798           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
799         done
800
801 clean-pkglibLTLIBRARIES:
802         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
803         @list='$(pkglib_LTLIBRARIES)'; \
804         locs=`for p in $$list; do echo $$p; done | \
805               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
806               sort -u`; \
807         test -z "$$locs" || { \
808           echo rm -f $${locs}; \
809           rm -f $${locs}; \
810         }
811 src/c/$(am__dirstamp):
812         @$(MKDIR_P) src/c
813         @: > src/c/$(am__dirstamp)
814 src/c/$(DEPDIR)/$(am__dirstamp):
815         @$(MKDIR_P) src/c/$(DEPDIR)
816         @: > src/c/$(DEPDIR)/$(am__dirstamp)
817 src/c/libscitime_algo_la-realtime.lo: src/c/$(am__dirstamp) \
818         src/c/$(DEPDIR)/$(am__dirstamp)
819 src/c/libscitime_algo_la-timer.lo: src/c/$(am__dirstamp) \
820         src/c/$(DEPDIR)/$(am__dirstamp)
821 src/c/libscitime_algo_la-getdate.lo: src/c/$(am__dirstamp) \
822         src/c/$(DEPDIR)/$(am__dirstamp)
823
824 libscitime-algo.la: $(libscitime_algo_la_OBJECTS) $(libscitime_algo_la_DEPENDENCIES) $(EXTRA_libscitime_algo_la_DEPENDENCIES) 
825         $(AM_V_CCLD)$(LINK) $(am_libscitime_algo_la_rpath) $(libscitime_algo_la_OBJECTS) $(libscitime_algo_la_LIBADD) $(LIBS)
826 sci_gateway/c/$(am__dirstamp):
827         @$(MKDIR_P) sci_gateway/c
828         @: > sci_gateway/c/$(am__dirstamp)
829 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
830         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
831         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
832 sci_gateway/c/libscitime_la-sci_realtime.lo:  \
833         sci_gateway/c/$(am__dirstamp) \
834         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
835 sci_gateway/c/libscitime_la-sci_timer.lo:  \
836         sci_gateway/c/$(am__dirstamp) \
837         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
838 sci_gateway/c/libscitime_la-sci_calendar.lo:  \
839         sci_gateway/c/$(am__dirstamp) \
840         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
841 sci_gateway/c/libscitime_la-sci_xpause.lo:  \
842         sci_gateway/c/$(am__dirstamp) \
843         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
844 sci_gateway/c/libscitime_la-sci_sleep.lo:  \
845         sci_gateway/c/$(am__dirstamp) \
846         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
847 sci_gateway/c/libscitime_la-sci_getdate.lo:  \
848         sci_gateway/c/$(am__dirstamp) \
849         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
850 sci_gateway/cpp/$(am__dirstamp):
851         @$(MKDIR_P) sci_gateway/cpp
852         @: > sci_gateway/cpp/$(am__dirstamp)
853 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
854         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
855         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
856 sci_gateway/cpp/libscitime_la-time_gw.lo:  \
857         sci_gateway/cpp/$(am__dirstamp) \
858         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
859 sci_gateway/cpp/libscitime_la-sci_tictoc.lo:  \
860         sci_gateway/cpp/$(am__dirstamp) \
861         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
862
863 libscitime.la: $(libscitime_la_OBJECTS) $(libscitime_la_DEPENDENCIES) $(EXTRA_libscitime_la_DEPENDENCIES) 
864         $(AM_V_CXXLD)$(CXXLINK) $(am_libscitime_la_rpath) $(libscitime_la_OBJECTS) $(libscitime_la_LIBADD) $(LIBS)
865
866 mostlyclean-compile:
867         -rm -f *.$(OBJEXT)
868         -rm -f sci_gateway/c/*.$(OBJEXT)
869         -rm -f sci_gateway/c/*.lo
870         -rm -f sci_gateway/cpp/*.$(OBJEXT)
871         -rm -f sci_gateway/cpp/*.lo
872         -rm -f src/c/*.$(OBJEXT)
873         -rm -f src/c/*.lo
874
875 distclean-compile:
876         -rm -f *.tab.c
877
878 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo@am__quote@ # am--include-marker
879 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo@am__quote@ # am--include-marker
880 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo@am__quote@ # am--include-marker
881 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo@am__quote@ # am--include-marker
882 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo@am__quote@ # am--include-marker
883 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo@am__quote@ # am--include-marker
884 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo@am__quote@ # am--include-marker
885 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo@am__quote@ # am--include-marker
886 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo@am__quote@ # am--include-marker
887 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo@am__quote@ # am--include-marker
888 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo@am__quote@ # am--include-marker
889
890 $(am__depfiles_remade):
891         @$(MKDIR_P) $(@D)
892         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
893
894 am--depfiles: $(am__depfiles_remade)
895
896 .c.o:
897 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
898 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
899 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
900 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
902 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
903
904 .c.obj:
905 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
906 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
907 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
908 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
911
912 .c.lo:
913 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
914 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
915 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
916 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
917 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
918 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
919
920 src/c/libscitime_algo_la-realtime.lo: src/c/realtime.c
921 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-realtime.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-realtime.Tpo -c -o src/c/libscitime_algo_la-realtime.lo `test -f 'src/c/realtime.c' || echo '$(srcdir)/'`src/c/realtime.c
922 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-realtime.Tpo src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo
923 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/realtime.c' object='src/c/libscitime_algo_la-realtime.lo' libtool=yes @AMDEPBACKSLASH@
924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
925 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-realtime.lo `test -f 'src/c/realtime.c' || echo '$(srcdir)/'`src/c/realtime.c
926
927 src/c/libscitime_algo_la-timer.lo: src/c/timer.c
928 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-timer.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-timer.Tpo -c -o src/c/libscitime_algo_la-timer.lo `test -f 'src/c/timer.c' || echo '$(srcdir)/'`src/c/timer.c
929 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-timer.Tpo src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo
930 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/timer.c' object='src/c/libscitime_algo_la-timer.lo' libtool=yes @AMDEPBACKSLASH@
931 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
932 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-timer.lo `test -f 'src/c/timer.c' || echo '$(srcdir)/'`src/c/timer.c
933
934 src/c/libscitime_algo_la-getdate.lo: src/c/getdate.c
935 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libscitime_algo_la-getdate.lo -MD -MP -MF src/c/$(DEPDIR)/libscitime_algo_la-getdate.Tpo -c -o src/c/libscitime_algo_la-getdate.lo `test -f 'src/c/getdate.c' || echo '$(srcdir)/'`src/c/getdate.c
936 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libscitime_algo_la-getdate.Tpo src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getdate.c' object='src/c/libscitime_algo_la-getdate.lo' libtool=yes @AMDEPBACKSLASH@
938 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
939 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libscitime_algo_la-getdate.lo `test -f 'src/c/getdate.c' || echo '$(srcdir)/'`src/c/getdate.c
940
941 sci_gateway/c/libscitime_la-sci_realtime.lo: sci_gateway/c/sci_realtime.c
942 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_realtime.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Tpo -c -o sci_gateway/c/libscitime_la-sci_realtime.lo `test -f 'sci_gateway/c/sci_realtime.c' || echo '$(srcdir)/'`sci_gateway/c/sci_realtime.c
943 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_realtime.c' object='sci_gateway/c/libscitime_la-sci_realtime.lo' libtool=yes @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_realtime.lo `test -f 'sci_gateway/c/sci_realtime.c' || echo '$(srcdir)/'`sci_gateway/c/sci_realtime.c
947
948 sci_gateway/c/libscitime_la-sci_timer.lo: sci_gateway/c/sci_timer.c
949 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_timer.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Tpo -c -o sci_gateway/c/libscitime_la-sci_timer.lo `test -f 'sci_gateway/c/sci_timer.c' || echo '$(srcdir)/'`sci_gateway/c/sci_timer.c
950 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo
951 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_timer.c' object='sci_gateway/c/libscitime_la-sci_timer.lo' libtool=yes @AMDEPBACKSLASH@
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
953 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_timer.lo `test -f 'sci_gateway/c/sci_timer.c' || echo '$(srcdir)/'`sci_gateway/c/sci_timer.c
954
955 sci_gateway/c/libscitime_la-sci_calendar.lo: sci_gateway/c/sci_calendar.c
956 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_calendar.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Tpo -c -o sci_gateway/c/libscitime_la-sci_calendar.lo `test -f 'sci_gateway/c/sci_calendar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calendar.c
957 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo
958 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_calendar.c' object='sci_gateway/c/libscitime_la-sci_calendar.lo' libtool=yes @AMDEPBACKSLASH@
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
960 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_calendar.lo `test -f 'sci_gateway/c/sci_calendar.c' || echo '$(srcdir)/'`sci_gateway/c/sci_calendar.c
961
962 sci_gateway/c/libscitime_la-sci_xpause.lo: sci_gateway/c/sci_xpause.c
963 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_xpause.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Tpo -c -o sci_gateway/c/libscitime_la-sci_xpause.lo `test -f 'sci_gateway/c/sci_xpause.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xpause.c
964 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo
965 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_xpause.c' object='sci_gateway/c/libscitime_la-sci_xpause.lo' libtool=yes @AMDEPBACKSLASH@
966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
967 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_xpause.lo `test -f 'sci_gateway/c/sci_xpause.c' || echo '$(srcdir)/'`sci_gateway/c/sci_xpause.c
968
969 sci_gateway/c/libscitime_la-sci_sleep.lo: sci_gateway/c/sci_sleep.c
970 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_sleep.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Tpo -c -o sci_gateway/c/libscitime_la-sci_sleep.lo `test -f 'sci_gateway/c/sci_sleep.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sleep.c
971 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo
972 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_sleep.c' object='sci_gateway/c/libscitime_la-sci_sleep.lo' libtool=yes @AMDEPBACKSLASH@
973 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
974 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_sleep.lo `test -f 'sci_gateway/c/sci_sleep.c' || echo '$(srcdir)/'`sci_gateway/c/sci_sleep.c
975
976 sci_gateway/c/libscitime_la-sci_getdate.lo: sci_gateway/c/sci_getdate.c
977 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libscitime_la-sci_getdate.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Tpo -c -o sci_gateway/c/libscitime_la-sci_getdate.lo `test -f 'sci_gateway/c/sci_getdate.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdate.c
978 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Tpo sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo
979 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getdate.c' object='sci_gateway/c/libscitime_la-sci_getdate.lo' libtool=yes @AMDEPBACKSLASH@
980 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
981 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libscitime_la-sci_getdate.lo `test -f 'sci_gateway/c/sci_getdate.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getdate.c
982
983 .cpp.o:
984 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
985 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
986 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
987 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
988 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
989 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
990
991 .cpp.obj:
992 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
993 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
994 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
995 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
996 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
997 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
998
999 .cpp.lo:
1000 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1001 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1002 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1003 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1004 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1005 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1006
1007 sci_gateway/cpp/libscitime_la-time_gw.lo: sci_gateway/cpp/time_gw.cpp
1008 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscitime_la-time_gw.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Tpo -c -o sci_gateway/cpp/libscitime_la-time_gw.lo `test -f 'sci_gateway/cpp/time_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/time_gw.cpp
1009 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Tpo sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo
1010 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/time_gw.cpp' object='sci_gateway/cpp/libscitime_la-time_gw.lo' libtool=yes @AMDEPBACKSLASH@
1011 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1012 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscitime_la-time_gw.lo `test -f 'sci_gateway/cpp/time_gw.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/time_gw.cpp
1013
1014 sci_gateway/cpp/libscitime_la-sci_tictoc.lo: sci_gateway/cpp/sci_tictoc.cpp
1015 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscitime_la-sci_tictoc.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Tpo -c -o sci_gateway/cpp/libscitime_la-sci_tictoc.lo `test -f 'sci_gateway/cpp/sci_tictoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_tictoc.cpp
1016 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Tpo sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo
1017 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_tictoc.cpp' object='sci_gateway/cpp/libscitime_la-sci_tictoc.lo' libtool=yes @AMDEPBACKSLASH@
1018 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1019 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscitime_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscitime_la-sci_tictoc.lo `test -f 'sci_gateway/cpp/sci_tictoc.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_tictoc.cpp
1020
1021 mostlyclean-libtool:
1022         -rm -f *.lo
1023
1024 clean-libtool:
1025         -rm -rf .libs _libs
1026         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1027         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1028         -rm -rf src/c/.libs src/c/_libs
1029 install-libscitime_la_etcDATA: $(libscitime_la_etc_DATA)
1030         @$(NORMAL_INSTALL)
1031         @list='$(libscitime_la_etc_DATA)'; test -n "$(libscitime_la_etcdir)" || list=; \
1032         if test -n "$$list"; then \
1033           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_etcdir)'"; \
1034           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_etcdir)" || exit 1; \
1035         fi; \
1036         for p in $$list; do \
1037           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1038           echo "$$d$$p"; \
1039         done | $(am__base_list) | \
1040         while read files; do \
1041           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitime_la_etcdir)'"; \
1042           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitime_la_etcdir)" || exit $$?; \
1043         done
1044
1045 uninstall-libscitime_la_etcDATA:
1046         @$(NORMAL_UNINSTALL)
1047         @list='$(libscitime_la_etc_DATA)'; test -n "$(libscitime_la_etcdir)" || list=; \
1048         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1049         dir='$(DESTDIR)$(libscitime_la_etcdir)'; $(am__uninstall_files_from_dir)
1050 install-libscitime_la_rootDATA: $(libscitime_la_root_DATA)
1051         @$(NORMAL_INSTALL)
1052         @list='$(libscitime_la_root_DATA)'; test -n "$(libscitime_la_rootdir)" || list=; \
1053         if test -n "$$list"; then \
1054           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_rootdir)'"; \
1055           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_rootdir)" || exit 1; \
1056         fi; \
1057         for p in $$list; do \
1058           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1059           echo "$$d$$p"; \
1060         done | $(am__base_list) | \
1061         while read files; do \
1062           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscitime_la_rootdir)'"; \
1063           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscitime_la_rootdir)" || exit $$?; \
1064         done
1065
1066 uninstall-libscitime_la_rootDATA:
1067         @$(NORMAL_UNINSTALL)
1068         @list='$(libscitime_la_root_DATA)'; test -n "$(libscitime_la_rootdir)" || list=; \
1069         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1070         dir='$(DESTDIR)$(libscitime_la_rootdir)'; $(am__uninstall_files_from_dir)
1071 install-libscitime_la_includeHEADERS: $(libscitime_la_include_HEADERS)
1072         @$(NORMAL_INSTALL)
1073         @list='$(libscitime_la_include_HEADERS)'; test -n "$(libscitime_la_includedir)" || list=; \
1074         if test -n "$$list"; then \
1075           echo " $(MKDIR_P) '$(DESTDIR)$(libscitime_la_includedir)'"; \
1076           $(MKDIR_P) "$(DESTDIR)$(libscitime_la_includedir)" || exit 1; \
1077         fi; \
1078         for p in $$list; do \
1079           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1080           echo "$$d$$p"; \
1081         done | $(am__base_list) | \
1082         while read files; do \
1083           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscitime_la_includedir)'"; \
1084           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscitime_la_includedir)" || exit $$?; \
1085         done
1086
1087 uninstall-libscitime_la_includeHEADERS:
1088         @$(NORMAL_UNINSTALL)
1089         @list='$(libscitime_la_include_HEADERS)'; test -n "$(libscitime_la_includedir)" || list=; \
1090         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1091         dir='$(DESTDIR)$(libscitime_la_includedir)'; $(am__uninstall_files_from_dir)
1092
1093 ID: $(am__tagged_files)
1094         $(am__define_uniq_tagged_files); mkid -fID $$unique
1095 tags: tags-am
1096 TAGS: tags
1097
1098 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1099         set x; \
1100         here=`pwd`; \
1101         $(am__define_uniq_tagged_files); \
1102         shift; \
1103         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1104           test -n "$$unique" || unique=$$empty_fix; \
1105           if test $$# -gt 0; then \
1106             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1107               "$$@" $$unique; \
1108           else \
1109             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1110               $$unique; \
1111           fi; \
1112         fi
1113 ctags: ctags-am
1114
1115 CTAGS: ctags
1116 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1117         $(am__define_uniq_tagged_files); \
1118         test -z "$(CTAGS_ARGS)$$unique" \
1119           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1120              $$unique
1121
1122 GTAGS:
1123         here=`$(am__cd) $(top_builddir) && pwd` \
1124           && $(am__cd) $(top_srcdir) \
1125           && gtags -i $(GTAGS_ARGS) "$$here"
1126 cscopelist: cscopelist-am
1127
1128 cscopelist-am: $(am__tagged_files)
1129         list='$(am__tagged_files)'; \
1130         case "$(srcdir)" in \
1131           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1132           *) sdir=$(subdir)/$(srcdir) ;; \
1133         esac; \
1134         for i in $$list; do \
1135           if test -f "$$i"; then \
1136             echo "$(subdir)/$$i"; \
1137           else \
1138             echo "$$sdir/$$i"; \
1139           fi; \
1140         done >> $(top_builddir)/cscope.files
1141
1142 distclean-tags:
1143         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1144
1145 distdir: $(BUILT_SOURCES)
1146         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1147
1148 distdir-am: $(DISTFILES)
1149         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1150         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1151         list='$(DISTFILES)'; \
1152           dist_files=`for file in $$list; do echo $$file; done | \
1153           sed -e "s|^$$srcdirstrip/||;t" \
1154               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1155         case $$dist_files in \
1156           */*) $(MKDIR_P) `echo "$$dist_files" | \
1157                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1158                            sort -u` ;; \
1159         esac; \
1160         for file in $$dist_files; do \
1161           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1162           if test -d $$d/$$file; then \
1163             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1164             if test -d "$(distdir)/$$file"; then \
1165               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1166             fi; \
1167             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1168               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1169               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1170             fi; \
1171             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1172           else \
1173             test -f "$(distdir)/$$file" \
1174             || cp -p $$d/$$file "$(distdir)/$$file" \
1175             || exit 1; \
1176           fi; \
1177         done
1178 check-am: all-am
1179         $(MAKE) $(AM_MAKEFLAGS) check-local
1180 check: check-am
1181 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1182 installdirs:
1183         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscitime_la_etcdir)" "$(DESTDIR)$(libscitime_la_rootdir)" "$(DESTDIR)$(libscitime_la_includedir)"; do \
1184           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1185         done
1186 install: install-am
1187 install-exec: install-exec-am
1188 install-data: install-data-am
1189 uninstall: uninstall-am
1190
1191 install-am: all-am
1192         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1193
1194 installcheck: installcheck-am
1195 install-strip:
1196         if test -z '$(STRIP)'; then \
1197           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1198             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1199               install; \
1200         else \
1201           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1202             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1203             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1204         fi
1205 mostlyclean-generic:
1206
1207 clean-generic:
1208
1209 distclean-generic:
1210         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1211         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1212         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1213         -rm -f sci_gateway/c/$(am__dirstamp)
1214         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1215         -rm -f sci_gateway/cpp/$(am__dirstamp)
1216         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1217         -rm -f src/c/$(am__dirstamp)
1218
1219 maintainer-clean-generic:
1220         @echo "This command is intended for maintainers to use"
1221         @echo "it deletes files that may require special tools to rebuild."
1222 clean: clean-am
1223
1224 clean-am: clean-generic clean-libtool clean-local \
1225         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1226
1227 distclean: distclean-am
1228                 -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo
1229         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo
1230         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo
1231         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo
1232         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo
1233         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo
1234         -rm -f sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo
1235         -rm -f sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo
1236         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo
1237         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo
1238         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo
1239         -rm -f Makefile
1240 distclean-am: clean-am distclean-compile distclean-generic \
1241         distclean-local distclean-tags
1242
1243 dvi: dvi-am
1244
1245 dvi-am:
1246
1247 html: html-am
1248
1249 html-am:
1250
1251 info: info-am
1252
1253 info-am:
1254
1255 install-data-am: install-data-local install-libscitime_la_etcDATA \
1256         install-libscitime_la_includeHEADERS \
1257         install-libscitime_la_rootDATA
1258
1259 install-dvi: install-dvi-am
1260
1261 install-dvi-am:
1262
1263 install-exec-am: install-pkglibLTLIBRARIES
1264
1265 install-html: install-html-am
1266
1267 install-html-am: install-html-local
1268
1269 install-info: install-info-am
1270
1271 install-info-am:
1272
1273 install-man:
1274
1275 install-pdf: install-pdf-am
1276
1277 install-pdf-am:
1278
1279 install-ps: install-ps-am
1280
1281 install-ps-am:
1282
1283 installcheck-am:
1284
1285 maintainer-clean: maintainer-clean-am
1286                 -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_calendar.Plo
1287         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_getdate.Plo
1288         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_realtime.Plo
1289         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_sleep.Plo
1290         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_timer.Plo
1291         -rm -f sci_gateway/c/$(DEPDIR)/libscitime_la-sci_xpause.Plo
1292         -rm -f sci_gateway/cpp/$(DEPDIR)/libscitime_la-sci_tictoc.Plo
1293         -rm -f sci_gateway/cpp/$(DEPDIR)/libscitime_la-time_gw.Plo
1294         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-getdate.Plo
1295         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-realtime.Plo
1296         -rm -f src/c/$(DEPDIR)/libscitime_algo_la-timer.Plo
1297         -rm -f Makefile
1298 maintainer-clean-am: distclean-am maintainer-clean-generic
1299
1300 mostlyclean: mostlyclean-am
1301
1302 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1303         mostlyclean-libtool
1304
1305 pdf: pdf-am
1306
1307 pdf-am:
1308
1309 ps: ps-am
1310
1311 ps-am:
1312
1313 uninstall-am: uninstall-libscitime_la_etcDATA \
1314         uninstall-libscitime_la_includeHEADERS \
1315         uninstall-libscitime_la_rootDATA uninstall-pkglibLTLIBRARIES
1316
1317 .MAKE: check-am install-am install-strip
1318
1319 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1320         check-am check-local clean clean-generic clean-libtool \
1321         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1322         cscopelist-am ctags ctags-am distclean distclean-compile \
1323         distclean-generic distclean-libtool distclean-local \
1324         distclean-tags distdir dvi dvi-am html html-am info info-am \
1325         install install-am install-data install-data-am \
1326         install-data-local install-dvi install-dvi-am install-exec \
1327         install-exec-am install-html install-html-am \
1328         install-html-local install-info install-info-am \
1329         install-libscitime_la_etcDATA \
1330         install-libscitime_la_includeHEADERS \
1331         install-libscitime_la_rootDATA install-man install-pdf \
1332         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1333         install-ps-am install-strip installcheck installcheck-am \
1334         installdirs maintainer-clean maintainer-clean-generic \
1335         mostlyclean mostlyclean-compile mostlyclean-generic \
1336         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1337         uninstall-am uninstall-libscitime_la_etcDATA \
1338         uninstall-libscitime_la_includeHEADERS \
1339         uninstall-libscitime_la_rootDATA uninstall-pkglibLTLIBRARIES
1340
1341 .PRECIOUS: Makefile
1342
1343
1344 # This target enables tests for Scilab
1345 check-local: $(top_builddir)/scilab-bin test
1346         if test -d $(mydatadir)/tests; then \
1347           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1348         fi
1349 check-code:
1350         if test -f build.xml; then \
1351                 $(ANT) checkstyle; \
1352         fi
1353         if test -x "$(SPLINT)"; then \
1354                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1355         fi
1356 @NEED_JAVA_TRUE@java:
1357 # Some configurations needs to export JAVA_HOME in the current env
1358 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1359 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1360 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1361 @NEED_JAVA_TRUE@                $(ANT); \
1362 @NEED_JAVA_TRUE@        fi
1363
1364 @NEED_JAVA_TRUE@clean-java:
1365 # Some configurations needs to export JAVA_HOME in the current env
1366 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1367 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1368 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1369 @NEED_JAVA_TRUE@                $(ANT) clean; \
1370 @NEED_JAVA_TRUE@        fi;
1371
1372 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1373 # We call the target swig-build on the variable SWIG_WRAPPERS
1374
1375 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1376 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1377 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1378 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1379 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1380 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1381 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1382 @SWIG_TRUE@             done; \
1383 @SWIG_TRUE@     fi
1384
1385 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1386 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1387 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1388 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1389 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1390 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1391 @SWIG_TRUE@             done; \
1392 @SWIG_TRUE@     fi
1393
1394 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1395 # We call the target swig-build on the variable SWIG_WRAPPERS
1396
1397 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1398 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1399 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1400 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1401 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1402 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1403 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1404 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1405 @GIWS_TRUE@                     else \
1406 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1407 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1408 @GIWS_TRUE@                     fi \
1409 @GIWS_TRUE@             done; \
1410 @GIWS_TRUE@     fi
1411
1412 @GIWS_TRUE@giws-exception:
1413 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1414 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1415 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1416
1417 macros:
1418         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1419                 echo "Error : Cannot build $< : Scilab has not been built"; \
1420         else \
1421                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1422         fi)
1423
1424 # Removes the macros
1425 clean-macros:
1426 # Removes macros (*.bin generated from .sci)
1427         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1428                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1429                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1430         done
1431
1432 test:
1433 # More tests could be added here
1434         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1435         if test -f build.xml -a $$USEANT -eq 1; then \
1436                 $(ANT) test; \
1437         fi
1438
1439 all-local: $(TARGETS_ALL)
1440
1441 .sci.bin:
1442         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1443         echo "Error : Cannot build $< : Scilab has not been build"; \
1444         else \
1445         echo "Creating $@"; \
1446         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1447         fi )
1448
1449 install-html-local:
1450
1451 install-data-local-local:
1452 # Mainly for javasci
1453         @if test -d $(srcdir)/javadoc; then \
1454                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1455         fi
1456 # If the user wants the help sources to be installed
1457 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1458 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1459 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1460 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1461 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1462 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1463 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1464 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1465 @INSTALL_HELP_XML_TRUE@           done ; \
1466 @INSTALL_HELP_XML_TRUE@         fi; \
1467 @INSTALL_HELP_XML_TRUE@  fi; \
1468 @INSTALL_HELP_XML_TRUE@ done; \
1469 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1470 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1471 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1472 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1473 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1474 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1475 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1476 @INSTALL_HELP_XML_TRUE@           done ; \
1477 @INSTALL_HELP_XML_TRUE@         fi; \
1478 @INSTALL_HELP_XML_TRUE@ fi
1479 install-data-local:
1480 # Install the tests
1481         @echo "-------- Install tests (if any) --------"; \
1482         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1483           if test -d $(srcdir)/$$dir/; then \
1484             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1485                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1486                     if test -d "$(srcdir)/$$dir/$$file"; then \
1487                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1488                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1489                     else \
1490                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1491                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1492                     fi \
1493                   done; \
1494           fi; \
1495         done
1496 # Install the help chapter
1497         @echo "-------- Install the help chapter (if any) --------"; \
1498         for lang in $(HELP_CHAPTERLANG); do \
1499                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1500                 if test -f $$HELPFILE; then \
1501                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1502                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1503                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1504                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1505                 fi; \
1506         done
1507 # Install the demos & examples
1508         @echo "-------- Install demos & examples (if any) --------"; \
1509         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1510           if test -d $(srcdir)/$$dir/; then \
1511             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1512                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1513                     if test -d "$(srcdir)/$$dir/$$file"; then \
1514                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1515                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1516                     else \
1517                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1518                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1519                     fi \
1520                   done; \
1521           fi; \
1522         done
1523 # Install the macros
1524         @echo "-------- Install macros (if any) --------"; \
1525         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1526           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1527                 if test -d $(srcdir)/$$dir/; then \
1528                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1529                         if test -n "$(MACROSSPECIALEXT)"; then \
1530                                 specialExtDir=""; \
1531                                 for specialExt in $(MACROSSPECIALEXT); do \
1532                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1533                                 done; \
1534                                 FILELIST="$$FILELIST $$specialExtDir"; \
1535                         fi; \
1536                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1537                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1538                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1539                   done; \
1540                 fi; \
1541         done
1542 # Install java files (.jar)
1543         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1544         echo "-------- Install jar files --------"; \
1545     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1546           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1547                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1548                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1549           done ; \
1550         fi
1551
1552 ########### CLEAN ###################
1553 # Clean help (generated automatically by Scilab)
1554 # It used to clean the macro (clean-macros) but this was causing
1555 # make clean && make to fail Scilab startup
1556 @NEED_JAVA_TRUE@clean-local: clean-java
1557 @NEED_JAVA_FALSE@clean-local:
1558
1559 distclean-local:
1560         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1561
1562 .PHONY: macros java swig giws
1563
1564 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1565 # Otherwise a system limit (for SysV at least) may be exceeded.
1566 .NOEXPORT: